#[doc = "Register `PLD_IT1` reader"]
pub struct R(crate::R<PLD_IT1_SPEC>);
impl core::ops::Deref for R {
    type Target = crate::R<PLD_IT1_SPEC>;
    #[inline(always)]
    fn deref(&self) -> &Self::Target {
        &self.0
    }
}
impl core::convert::From<crate::R<PLD_IT1_SPEC>> for R {
    fn from(reader: crate::R<PLD_IT1_SPEC>) -> Self {
        R(reader)
    }
}
#[doc = "Register `PLD_IT1` writer"]
pub struct W(crate::W<PLD_IT1_SPEC>);
impl core::ops::Deref for W {
    type Target = crate::W<PLD_IT1_SPEC>;
    #[inline(always)]
    fn deref(&self) -> &Self::Target {
        &self.0
    }
}
impl core::ops::DerefMut for W {
    #[inline(always)]
    fn deref_mut(&mut self) -> &mut Self::Target {
        &mut self.0
    }
}
impl core::convert::From<crate::W<PLD_IT1_SPEC>> for W {
    fn from(writer: crate::W<PLD_IT1_SPEC>) -> Self {
        W(writer)
    }
}
#[doc = "Field `PLD0_ITxC_0` reader - Complement input term. Bit position corresponds to product term"]
pub struct PLD0_ITXC_0_R(crate::FieldReader<bool, bool>);
impl PLD0_ITXC_0_R {
    pub(crate) fn new(bits: bool) -> Self {
        PLD0_ITXC_0_R(crate::FieldReader::new(bits))
    }
}
impl core::ops::Deref for PLD0_ITXC_0_R {
    type Target = crate::FieldReader<bool, bool>;
    #[inline(always)]
    fn deref(&self) -> &Self::Target {
        &self.0
    }
}
#[doc = "Field `PLD0_ITxC_0` writer - Complement input term. Bit position corresponds to product term"]
pub struct PLD0_ITXC_0_W<'a> {
    w: &'a mut W,
}
impl<'a> PLD0_ITXC_0_W<'a> {
    #[doc = r"Sets the field bit"]
    #[inline(always)]
    pub fn set_bit(self) -> &'a mut W {
        self.bit(true)
    }
    #[doc = r"Clears the field bit"]
    #[inline(always)]
    pub fn clear_bit(self) -> &'a mut W {
        self.bit(false)
    }
    #[doc = r"Writes raw bits to the field"]
    #[inline(always)]
    pub fn bit(self, value: bool) -> &'a mut W {
        self.w.bits = (self.w.bits & !0x01) | (value as u32 & 0x01);
        self.w
    }
}
#[doc = "Field `PLD0_ITxC_1` reader - Complement input term. Bit position corresponds to product term"]
pub struct PLD0_ITXC_1_R(crate::FieldReader<bool, bool>);
impl PLD0_ITXC_1_R {
    pub(crate) fn new(bits: bool) -> Self {
        PLD0_ITXC_1_R(crate::FieldReader::new(bits))
    }
}
impl core::ops::Deref for PLD0_ITXC_1_R {
    type Target = crate::FieldReader<bool, bool>;
    #[inline(always)]
    fn deref(&self) -> &Self::Target {
        &self.0
    }
}
#[doc = "Field `PLD0_ITxC_1` writer - Complement input term. Bit position corresponds to product term"]
pub struct PLD0_ITXC_1_W<'a> {
    w: &'a mut W,
}
impl<'a> PLD0_ITXC_1_W<'a> {
    #[doc = r"Sets the field bit"]
    #[inline(always)]
    pub fn set_bit(self) -> &'a mut W {
        self.bit(true)
    }
    #[doc = r"Clears the field bit"]
    #[inline(always)]
    pub fn clear_bit(self) -> &'a mut W {
        self.bit(false)
    }
    #[doc = r"Writes raw bits to the field"]
    #[inline(always)]
    pub fn bit(self, value: bool) -> &'a mut W {
        self.w.bits = (self.w.bits & !(0x01 << 1)) | ((value as u32 & 0x01) << 1);
        self.w
    }
}
#[doc = "Field `PLD0_ITxC_2` reader - Complement input term. Bit position corresponds to product term"]
pub struct PLD0_ITXC_2_R(crate::FieldReader<bool, bool>);
impl PLD0_ITXC_2_R {
    pub(crate) fn new(bits: bool) -> Self {
        PLD0_ITXC_2_R(crate::FieldReader::new(bits))
    }
}
impl core::ops::Deref for PLD0_ITXC_2_R {
    type Target = crate::FieldReader<bool, bool>;
    #[inline(always)]
    fn deref(&self) -> &Self::Target {
        &self.0
    }
}
#[doc = "Field `PLD0_ITxC_2` writer - Complement input term. Bit position corresponds to product term"]
pub struct PLD0_ITXC_2_W<'a> {
    w: &'a mut W,
}
impl<'a> PLD0_ITXC_2_W<'a> {
    #[doc = r"Sets the field bit"]
    #[inline(always)]
    pub fn set_bit(self) -> &'a mut W {
        self.bit(true)
    }
    #[doc = r"Clears the field bit"]
    #[inline(always)]
    pub fn clear_bit(self) -> &'a mut W {
        self.bit(false)
    }
    #[doc = r"Writes raw bits to the field"]
    #[inline(always)]
    pub fn bit(self, value: bool) -> &'a mut W {
        self.w.bits = (self.w.bits & !(0x01 << 2)) | ((value as u32 & 0x01) << 2);
        self.w
    }
}
#[doc = "Field `PLD0_ITxC_3` reader - Complement input term. Bit position corresponds to product term"]
pub struct PLD0_ITXC_3_R(crate::FieldReader<bool, bool>);
impl PLD0_ITXC_3_R {
    pub(crate) fn new(bits: bool) -> Self {
        PLD0_ITXC_3_R(crate::FieldReader::new(bits))
    }
}
impl core::ops::Deref for PLD0_ITXC_3_R {
    type Target = crate::FieldReader<bool, bool>;
    #[inline(always)]
    fn deref(&self) -> &Self::Target {
        &self.0
    }
}
#[doc = "Field `PLD0_ITxC_3` writer - Complement input term. Bit position corresponds to product term"]
pub struct PLD0_ITXC_3_W<'a> {
    w: &'a mut W,
}
impl<'a> PLD0_ITXC_3_W<'a> {
    #[doc = r"Sets the field bit"]
    #[inline(always)]
    pub fn set_bit(self) -> &'a mut W {
        self.bit(true)
    }
    #[doc = r"Clears the field bit"]
    #[inline(always)]
    pub fn clear_bit(self) -> &'a mut W {
        self.bit(false)
    }
    #[doc = r"Writes raw bits to the field"]
    #[inline(always)]
    pub fn bit(self, value: bool) -> &'a mut W {
        self.w.bits = (self.w.bits & !(0x01 << 3)) | ((value as u32 & 0x01) << 3);
        self.w
    }
}
#[doc = "Field `PLD0_ITxC_4` reader - Complement input term. Bit position corresponds to product term"]
pub struct PLD0_ITXC_4_R(crate::FieldReader<bool, bool>);
impl PLD0_ITXC_4_R {
    pub(crate) fn new(bits: bool) -> Self {
        PLD0_ITXC_4_R(crate::FieldReader::new(bits))
    }
}
impl core::ops::Deref for PLD0_ITXC_4_R {
    type Target = crate::FieldReader<bool, bool>;
    #[inline(always)]
    fn deref(&self) -> &Self::Target {
        &self.0
    }
}
#[doc = "Field `PLD0_ITxC_4` writer - Complement input term. Bit position corresponds to product term"]
pub struct PLD0_ITXC_4_W<'a> {
    w: &'a mut W,
}
impl<'a> PLD0_ITXC_4_W<'a> {
    #[doc = r"Sets the field bit"]
    #[inline(always)]
    pub fn set_bit(self) -> &'a mut W {
        self.bit(true)
    }
    #[doc = r"Clears the field bit"]
    #[inline(always)]
    pub fn clear_bit(self) -> &'a mut W {
        self.bit(false)
    }
    #[doc = r"Writes raw bits to the field"]
    #[inline(always)]
    pub fn bit(self, value: bool) -> &'a mut W {
        self.w.bits = (self.w.bits & !(0x01 << 4)) | ((value as u32 & 0x01) << 4);
        self.w
    }
}
#[doc = "Field `PLD0_ITxC_5` reader - Complement input term. Bit position corresponds to product term"]
pub struct PLD0_ITXC_5_R(crate::FieldReader<bool, bool>);
impl PLD0_ITXC_5_R {
    pub(crate) fn new(bits: bool) -> Self {
        PLD0_ITXC_5_R(crate::FieldReader::new(bits))
    }
}
impl core::ops::Deref for PLD0_ITXC_5_R {
    type Target = crate::FieldReader<bool, bool>;
    #[inline(always)]
    fn deref(&self) -> &Self::Target {
        &self.0
    }
}
#[doc = "Field `PLD0_ITxC_5` writer - Complement input term. Bit position corresponds to product term"]
pub struct PLD0_ITXC_5_W<'a> {
    w: &'a mut W,
}
impl<'a> PLD0_ITXC_5_W<'a> {
    #[doc = r"Sets the field bit"]
    #[inline(always)]
    pub fn set_bit(self) -> &'a mut W {
        self.bit(true)
    }
    #[doc = r"Clears the field bit"]
    #[inline(always)]
    pub fn clear_bit(self) -> &'a mut W {
        self.bit(false)
    }
    #[doc = r"Writes raw bits to the field"]
    #[inline(always)]
    pub fn bit(self, value: bool) -> &'a mut W {
        self.w.bits = (self.w.bits & !(0x01 << 5)) | ((value as u32 & 0x01) << 5);
        self.w
    }
}
#[doc = "Field `PLD0_ITxC_6` reader - Complement input term. Bit position corresponds to product term"]
pub struct PLD0_ITXC_6_R(crate::FieldReader<bool, bool>);
impl PLD0_ITXC_6_R {
    pub(crate) fn new(bits: bool) -> Self {
        PLD0_ITXC_6_R(crate::FieldReader::new(bits))
    }
}
impl core::ops::Deref for PLD0_ITXC_6_R {
    type Target = crate::FieldReader<bool, bool>;
    #[inline(always)]
    fn deref(&self) -> &Self::Target {
        &self.0
    }
}
#[doc = "Field `PLD0_ITxC_6` writer - Complement input term. Bit position corresponds to product term"]
pub struct PLD0_ITXC_6_W<'a> {
    w: &'a mut W,
}
impl<'a> PLD0_ITXC_6_W<'a> {
    #[doc = r"Sets the field bit"]
    #[inline(always)]
    pub fn set_bit(self) -> &'a mut W {
        self.bit(true)
    }
    #[doc = r"Clears the field bit"]
    #[inline(always)]
    pub fn clear_bit(self) -> &'a mut W {
        self.bit(false)
    }
    #[doc = r"Writes raw bits to the field"]
    #[inline(always)]
    pub fn bit(self, value: bool) -> &'a mut W {
        self.w.bits = (self.w.bits & !(0x01 << 6)) | ((value as u32 & 0x01) << 6);
        self.w
    }
}
#[doc = "Field `PLD0_ITxC_7` reader - Complement input term. Bit position corresponds to product term"]
pub struct PLD0_ITXC_7_R(crate::FieldReader<bool, bool>);
impl PLD0_ITXC_7_R {
    pub(crate) fn new(bits: bool) -> Self {
        PLD0_ITXC_7_R(crate::FieldReader::new(bits))
    }
}
impl core::ops::Deref for PLD0_ITXC_7_R {
    type Target = crate::FieldReader<bool, bool>;
    #[inline(always)]
    fn deref(&self) -> &Self::Target {
        &self.0
    }
}
#[doc = "Field `PLD0_ITxC_7` writer - Complement input term. Bit position corresponds to product term"]
pub struct PLD0_ITXC_7_W<'a> {
    w: &'a mut W,
}
impl<'a> PLD0_ITXC_7_W<'a> {
    #[doc = r"Sets the field bit"]
    #[inline(always)]
    pub fn set_bit(self) -> &'a mut W {
        self.bit(true)
    }
    #[doc = r"Clears the field bit"]
    #[inline(always)]
    pub fn clear_bit(self) -> &'a mut W {
        self.bit(false)
    }
    #[doc = r"Writes raw bits to the field"]
    #[inline(always)]
    pub fn bit(self, value: bool) -> &'a mut W {
        self.w.bits = (self.w.bits & !(0x01 << 7)) | ((value as u32 & 0x01) << 7);
        self.w
    }
}
#[doc = "Field `PLD1_ITxC_0` reader - Complement input term. Bit position corresponds to product term"]
pub struct PLD1_ITXC_0_R(crate::FieldReader<bool, bool>);
impl PLD1_ITXC_0_R {
    pub(crate) fn new(bits: bool) -> Self {
        PLD1_ITXC_0_R(crate::FieldReader::new(bits))
    }
}
impl core::ops::Deref for PLD1_ITXC_0_R {
    type Target = crate::FieldReader<bool, bool>;
    #[inline(always)]
    fn deref(&self) -> &Self::Target {
        &self.0
    }
}
#[doc = "Field `PLD1_ITxC_0` writer - Complement input term. Bit position corresponds to product term"]
pub struct PLD1_ITXC_0_W<'a> {
    w: &'a mut W,
}
impl<'a> PLD1_ITXC_0_W<'a> {
    #[doc = r"Sets the field bit"]
    #[inline(always)]
    pub fn set_bit(self) -> &'a mut W {
        self.bit(true)
    }
    #[doc = r"Clears the field bit"]
    #[inline(always)]
    pub fn clear_bit(self) -> &'a mut W {
        self.bit(false)
    }
    #[doc = r"Writes raw bits to the field"]
    #[inline(always)]
    pub fn bit(self, value: bool) -> &'a mut W {
        self.w.bits = (self.w.bits & !(0x01 << 8)) | ((value as u32 & 0x01) << 8);
        self.w
    }
}
#[doc = "Field `PLD1_ITxC_1` reader - Complement input term. Bit position corresponds to product term"]
pub struct PLD1_ITXC_1_R(crate::FieldReader<bool, bool>);
impl PLD1_ITXC_1_R {
    pub(crate) fn new(bits: bool) -> Self {
        PLD1_ITXC_1_R(crate::FieldReader::new(bits))
    }
}
impl core::ops::Deref for PLD1_ITXC_1_R {
    type Target = crate::FieldReader<bool, bool>;
    #[inline(always)]
    fn deref(&self) -> &Self::Target {
        &self.0
    }
}
#[doc = "Field `PLD1_ITxC_1` writer - Complement input term. Bit position corresponds to product term"]
pub struct PLD1_ITXC_1_W<'a> {
    w: &'a mut W,
}
impl<'a> PLD1_ITXC_1_W<'a> {
    #[doc = r"Sets the field bit"]
    #[inline(always)]
    pub fn set_bit(self) -> &'a mut W {
        self.bit(true)
    }
    #[doc = r"Clears the field bit"]
    #[inline(always)]
    pub fn clear_bit(self) -> &'a mut W {
        self.bit(false)
    }
    #[doc = r"Writes raw bits to the field"]
    #[inline(always)]
    pub fn bit(self, value: bool) -> &'a mut W {
        self.w.bits = (self.w.bits & !(0x01 << 9)) | ((value as u32 & 0x01) << 9);
        self.w
    }
}
#[doc = "Field `PLD1_ITxC_2` reader - Complement input term. Bit position corresponds to product term"]
pub struct PLD1_ITXC_2_R(crate::FieldReader<bool, bool>);
impl PLD1_ITXC_2_R {
    pub(crate) fn new(bits: bool) -> Self {
        PLD1_ITXC_2_R(crate::FieldReader::new(bits))
    }
}
impl core::ops::Deref for PLD1_ITXC_2_R {
    type Target = crate::FieldReader<bool, bool>;
    #[inline(always)]
    fn deref(&self) -> &Self::Target {
        &self.0
    }
}
#[doc = "Field `PLD1_ITxC_2` writer - Complement input term. Bit position corresponds to product term"]
pub struct PLD1_ITXC_2_W<'a> {
    w: &'a mut W,
}
impl<'a> PLD1_ITXC_2_W<'a> {
    #[doc = r"Sets the field bit"]
    #[inline(always)]
    pub fn set_bit(self) -> &'a mut W {
        self.bit(true)
    }
    #[doc = r"Clears the field bit"]
    #[inline(always)]
    pub fn clear_bit(self) -> &'a mut W {
        self.bit(false)
    }
    #[doc = r"Writes raw bits to the field"]
    #[inline(always)]
    pub fn bit(self, value: bool) -> &'a mut W {
        self.w.bits = (self.w.bits & !(0x01 << 10)) | ((value as u32 & 0x01) << 10);
        self.w
    }
}
#[doc = "Field `PLD1_ITxC_3` reader - Complement input term. Bit position corresponds to product term"]
pub struct PLD1_ITXC_3_R(crate::FieldReader<bool, bool>);
impl PLD1_ITXC_3_R {
    pub(crate) fn new(bits: bool) -> Self {
        PLD1_ITXC_3_R(crate::FieldReader::new(bits))
    }
}
impl core::ops::Deref for PLD1_ITXC_3_R {
    type Target = crate::FieldReader<bool, bool>;
    #[inline(always)]
    fn deref(&self) -> &Self::Target {
        &self.0
    }
}
#[doc = "Field `PLD1_ITxC_3` writer - Complement input term. Bit position corresponds to product term"]
pub struct PLD1_ITXC_3_W<'a> {
    w: &'a mut W,
}
impl<'a> PLD1_ITXC_3_W<'a> {
    #[doc = r"Sets the field bit"]
    #[inline(always)]
    pub fn set_bit(self) -> &'a mut W {
        self.bit(true)
    }
    #[doc = r"Clears the field bit"]
    #[inline(always)]
    pub fn clear_bit(self) -> &'a mut W {
        self.bit(false)
    }
    #[doc = r"Writes raw bits to the field"]
    #[inline(always)]
    pub fn bit(self, value: bool) -> &'a mut W {
        self.w.bits = (self.w.bits & !(0x01 << 11)) | ((value as u32 & 0x01) << 11);
        self.w
    }
}
#[doc = "Field `PLD1_ITxC_4` reader - Complement input term. Bit position corresponds to product term"]
pub struct PLD1_ITXC_4_R(crate::FieldReader<bool, bool>);
impl PLD1_ITXC_4_R {
    pub(crate) fn new(bits: bool) -> Self {
        PLD1_ITXC_4_R(crate::FieldReader::new(bits))
    }
}
impl core::ops::Deref for PLD1_ITXC_4_R {
    type Target = crate::FieldReader<bool, bool>;
    #[inline(always)]
    fn deref(&self) -> &Self::Target {
        &self.0
    }
}
#[doc = "Field `PLD1_ITxC_4` writer - Complement input term. Bit position corresponds to product term"]
pub struct PLD1_ITXC_4_W<'a> {
    w: &'a mut W,
}
impl<'a> PLD1_ITXC_4_W<'a> {
    #[doc = r"Sets the field bit"]
    #[inline(always)]
    pub fn set_bit(self) -> &'a mut W {
        self.bit(true)
    }
    #[doc = r"Clears the field bit"]
    #[inline(always)]
    pub fn clear_bit(self) -> &'a mut W {
        self.bit(false)
    }
    #[doc = r"Writes raw bits to the field"]
    #[inline(always)]
    pub fn bit(self, value: bool) -> &'a mut W {
        self.w.bits = (self.w.bits & !(0x01 << 12)) | ((value as u32 & 0x01) << 12);
        self.w
    }
}
#[doc = "Field `PLD1_ITxC_5` reader - Complement input term. Bit position corresponds to product term"]
pub struct PLD1_ITXC_5_R(crate::FieldReader<bool, bool>);
impl PLD1_ITXC_5_R {
    pub(crate) fn new(bits: bool) -> Self {
        PLD1_ITXC_5_R(crate::FieldReader::new(bits))
    }
}
impl core::ops::Deref for PLD1_ITXC_5_R {
    type Target = crate::FieldReader<bool, bool>;
    #[inline(always)]
    fn deref(&self) -> &Self::Target {
        &self.0
    }
}
#[doc = "Field `PLD1_ITxC_5` writer - Complement input term. Bit position corresponds to product term"]
pub struct PLD1_ITXC_5_W<'a> {
    w: &'a mut W,
}
impl<'a> PLD1_ITXC_5_W<'a> {
    #[doc = r"Sets the field bit"]
    #[inline(always)]
    pub fn set_bit(self) -> &'a mut W {
        self.bit(true)
    }
    #[doc = r"Clears the field bit"]
    #[inline(always)]
    pub fn clear_bit(self) -> &'a mut W {
        self.bit(false)
    }
    #[doc = r"Writes raw bits to the field"]
    #[inline(always)]
    pub fn bit(self, value: bool) -> &'a mut W {
        self.w.bits = (self.w.bits & !(0x01 << 13)) | ((value as u32 & 0x01) << 13);
        self.w
    }
}
#[doc = "Field `PLD1_ITxC_6` reader - Complement input term. Bit position corresponds to product term"]
pub struct PLD1_ITXC_6_R(crate::FieldReader<bool, bool>);
impl PLD1_ITXC_6_R {
    pub(crate) fn new(bits: bool) -> Self {
        PLD1_ITXC_6_R(crate::FieldReader::new(bits))
    }
}
impl core::ops::Deref for PLD1_ITXC_6_R {
    type Target = crate::FieldReader<bool, bool>;
    #[inline(always)]
    fn deref(&self) -> &Self::Target {
        &self.0
    }
}
#[doc = "Field `PLD1_ITxC_6` writer - Complement input term. Bit position corresponds to product term"]
pub struct PLD1_ITXC_6_W<'a> {
    w: &'a mut W,
}
impl<'a> PLD1_ITXC_6_W<'a> {
    #[doc = r"Sets the field bit"]
    #[inline(always)]
    pub fn set_bit(self) -> &'a mut W {
        self.bit(true)
    }
    #[doc = r"Clears the field bit"]
    #[inline(always)]
    pub fn clear_bit(self) -> &'a mut W {
        self.bit(false)
    }
    #[doc = r"Writes raw bits to the field"]
    #[inline(always)]
    pub fn bit(self, value: bool) -> &'a mut W {
        self.w.bits = (self.w.bits & !(0x01 << 14)) | ((value as u32 & 0x01) << 14);
        self.w
    }
}
#[doc = "Field `PLD1_ITxC_7` reader - Complement input term. Bit position corresponds to product term"]
pub struct PLD1_ITXC_7_R(crate::FieldReader<bool, bool>);
impl PLD1_ITXC_7_R {
    pub(crate) fn new(bits: bool) -> Self {
        PLD1_ITXC_7_R(crate::FieldReader::new(bits))
    }
}
impl core::ops::Deref for PLD1_ITXC_7_R {
    type Target = crate::FieldReader<bool, bool>;
    #[inline(always)]
    fn deref(&self) -> &Self::Target {
        &self.0
    }
}
#[doc = "Field `PLD1_ITxC_7` writer - Complement input term. Bit position corresponds to product term"]
pub struct PLD1_ITXC_7_W<'a> {
    w: &'a mut W,
}
impl<'a> PLD1_ITXC_7_W<'a> {
    #[doc = r"Sets the field bit"]
    #[inline(always)]
    pub fn set_bit(self) -> &'a mut W {
        self.bit(true)
    }
    #[doc = r"Clears the field bit"]
    #[inline(always)]
    pub fn clear_bit(self) -> &'a mut W {
        self.bit(false)
    }
    #[doc = r"Writes raw bits to the field"]
    #[inline(always)]
    pub fn bit(self, value: bool) -> &'a mut W {
        self.w.bits = (self.w.bits & !(0x01 << 15)) | ((value as u32 & 0x01) << 15);
        self.w
    }
}
#[doc = "Field `PLD0_ITxT_0` reader - True input term. Bit position corresponds to product term."]
pub struct PLD0_ITXT_0_R(crate::FieldReader<bool, bool>);
impl PLD0_ITXT_0_R {
    pub(crate) fn new(bits: bool) -> Self {
        PLD0_ITXT_0_R(crate::FieldReader::new(bits))
    }
}
impl core::ops::Deref for PLD0_ITXT_0_R {
    type Target = crate::FieldReader<bool, bool>;
    #[inline(always)]
    fn deref(&self) -> &Self::Target {
        &self.0
    }
}
#[doc = "Field `PLD0_ITxT_0` writer - True input term. Bit position corresponds to product term."]
pub struct PLD0_ITXT_0_W<'a> {
    w: &'a mut W,
}
impl<'a> PLD0_ITXT_0_W<'a> {
    #[doc = r"Sets the field bit"]
    #[inline(always)]
    pub fn set_bit(self) -> &'a mut W {
        self.bit(true)
    }
    #[doc = r"Clears the field bit"]
    #[inline(always)]
    pub fn clear_bit(self) -> &'a mut W {
        self.bit(false)
    }
    #[doc = r"Writes raw bits to the field"]
    #[inline(always)]
    pub fn bit(self, value: bool) -> &'a mut W {
        self.w.bits = (self.w.bits & !(0x01 << 16)) | ((value as u32 & 0x01) << 16);
        self.w
    }
}
#[doc = "Field `PLD0_ITxT_1` reader - True input term. Bit position corresponds to product term."]
pub struct PLD0_ITXT_1_R(crate::FieldReader<bool, bool>);
impl PLD0_ITXT_1_R {
    pub(crate) fn new(bits: bool) -> Self {
        PLD0_ITXT_1_R(crate::FieldReader::new(bits))
    }
}
impl core::ops::Deref for PLD0_ITXT_1_R {
    type Target = crate::FieldReader<bool, bool>;
    #[inline(always)]
    fn deref(&self) -> &Self::Target {
        &self.0
    }
}
#[doc = "Field `PLD0_ITxT_1` writer - True input term. Bit position corresponds to product term."]
pub struct PLD0_ITXT_1_W<'a> {
    w: &'a mut W,
}
impl<'a> PLD0_ITXT_1_W<'a> {
    #[doc = r"Sets the field bit"]
    #[inline(always)]
    pub fn set_bit(self) -> &'a mut W {
        self.bit(true)
    }
    #[doc = r"Clears the field bit"]
    #[inline(always)]
    pub fn clear_bit(self) -> &'a mut W {
        self.bit(false)
    }
    #[doc = r"Writes raw bits to the field"]
    #[inline(always)]
    pub fn bit(self, value: bool) -> &'a mut W {
        self.w.bits = (self.w.bits & !(0x01 << 17)) | ((value as u32 & 0x01) << 17);
        self.w
    }
}
#[doc = "Field `PLD0_ITxT_2` reader - True input term. Bit position corresponds to product term."]
pub struct PLD0_ITXT_2_R(crate::FieldReader<bool, bool>);
impl PLD0_ITXT_2_R {
    pub(crate) fn new(bits: bool) -> Self {
        PLD0_ITXT_2_R(crate::FieldReader::new(bits))
    }
}
impl core::ops::Deref for PLD0_ITXT_2_R {
    type Target = crate::FieldReader<bool, bool>;
    #[inline(always)]
    fn deref(&self) -> &Self::Target {
        &self.0
    }
}
#[doc = "Field `PLD0_ITxT_2` writer - True input term. Bit position corresponds to product term."]
pub struct PLD0_ITXT_2_W<'a> {
    w: &'a mut W,
}
impl<'a> PLD0_ITXT_2_W<'a> {
    #[doc = r"Sets the field bit"]
    #[inline(always)]
    pub fn set_bit(self) -> &'a mut W {
        self.bit(true)
    }
    #[doc = r"Clears the field bit"]
    #[inline(always)]
    pub fn clear_bit(self) -> &'a mut W {
        self.bit(false)
    }
    #[doc = r"Writes raw bits to the field"]
    #[inline(always)]
    pub fn bit(self, value: bool) -> &'a mut W {
        self.w.bits = (self.w.bits & !(0x01 << 18)) | ((value as u32 & 0x01) << 18);
        self.w
    }
}
#[doc = "Field `PLD0_ITxT_3` reader - True input term. Bit position corresponds to product term."]
pub struct PLD0_ITXT_3_R(crate::FieldReader<bool, bool>);
impl PLD0_ITXT_3_R {
    pub(crate) fn new(bits: bool) -> Self {
        PLD0_ITXT_3_R(crate::FieldReader::new(bits))
    }
}
impl core::ops::Deref for PLD0_ITXT_3_R {
    type Target = crate::FieldReader<bool, bool>;
    #[inline(always)]
    fn deref(&self) -> &Self::Target {
        &self.0
    }
}
#[doc = "Field `PLD0_ITxT_3` writer - True input term. Bit position corresponds to product term."]
pub struct PLD0_ITXT_3_W<'a> {
    w: &'a mut W,
}
impl<'a> PLD0_ITXT_3_W<'a> {
    #[doc = r"Sets the field bit"]
    #[inline(always)]
    pub fn set_bit(self) -> &'a mut W {
        self.bit(true)
    }
    #[doc = r"Clears the field bit"]
    #[inline(always)]
    pub fn clear_bit(self) -> &'a mut W {
        self.bit(false)
    }
    #[doc = r"Writes raw bits to the field"]
    #[inline(always)]
    pub fn bit(self, value: bool) -> &'a mut W {
        self.w.bits = (self.w.bits & !(0x01 << 19)) | ((value as u32 & 0x01) << 19);
        self.w
    }
}
#[doc = "Field `PLD0_ITxT_4` reader - True input term. Bit position corresponds to product term."]
pub struct PLD0_ITXT_4_R(crate::FieldReader<bool, bool>);
impl PLD0_ITXT_4_R {
    pub(crate) fn new(bits: bool) -> Self {
        PLD0_ITXT_4_R(crate::FieldReader::new(bits))
    }
}
impl core::ops::Deref for PLD0_ITXT_4_R {
    type Target = crate::FieldReader<bool, bool>;
    #[inline(always)]
    fn deref(&self) -> &Self::Target {
        &self.0
    }
}
#[doc = "Field `PLD0_ITxT_4` writer - True input term. Bit position corresponds to product term."]
pub struct PLD0_ITXT_4_W<'a> {
    w: &'a mut W,
}
impl<'a> PLD0_ITXT_4_W<'a> {
    #[doc = r"Sets the field bit"]
    #[inline(always)]
    pub fn set_bit(self) -> &'a mut W {
        self.bit(true)
    }
    #[doc = r"Clears the field bit"]
    #[inline(always)]
    pub fn clear_bit(self) -> &'a mut W {
        self.bit(false)
    }
    #[doc = r"Writes raw bits to the field"]
    #[inline(always)]
    pub fn bit(self, value: bool) -> &'a mut W {
        self.w.bits = (self.w.bits & !(0x01 << 20)) | ((value as u32 & 0x01) << 20);
        self.w
    }
}
#[doc = "Field `PLD0_ITxT_5` reader - True input term. Bit position corresponds to product term."]
pub struct PLD0_ITXT_5_R(crate::FieldReader<bool, bool>);
impl PLD0_ITXT_5_R {
    pub(crate) fn new(bits: bool) -> Self {
        PLD0_ITXT_5_R(crate::FieldReader::new(bits))
    }
}
impl core::ops::Deref for PLD0_ITXT_5_R {
    type Target = crate::FieldReader<bool, bool>;
    #[inline(always)]
    fn deref(&self) -> &Self::Target {
        &self.0
    }
}
#[doc = "Field `PLD0_ITxT_5` writer - True input term. Bit position corresponds to product term."]
pub struct PLD0_ITXT_5_W<'a> {
    w: &'a mut W,
}
impl<'a> PLD0_ITXT_5_W<'a> {
    #[doc = r"Sets the field bit"]
    #[inline(always)]
    pub fn set_bit(self) -> &'a mut W {
        self.bit(true)
    }
    #[doc = r"Clears the field bit"]
    #[inline(always)]
    pub fn clear_bit(self) -> &'a mut W {
        self.bit(false)
    }
    #[doc = r"Writes raw bits to the field"]
    #[inline(always)]
    pub fn bit(self, value: bool) -> &'a mut W {
        self.w.bits = (self.w.bits & !(0x01 << 21)) | ((value as u32 & 0x01) << 21);
        self.w
    }
}
#[doc = "Field `PLD0_ITxT_6` reader - True input term. Bit position corresponds to product term."]
pub struct PLD0_ITXT_6_R(crate::FieldReader<bool, bool>);
impl PLD0_ITXT_6_R {
    pub(crate) fn new(bits: bool) -> Self {
        PLD0_ITXT_6_R(crate::FieldReader::new(bits))
    }
}
impl core::ops::Deref for PLD0_ITXT_6_R {
    type Target = crate::FieldReader<bool, bool>;
    #[inline(always)]
    fn deref(&self) -> &Self::Target {
        &self.0
    }
}
#[doc = "Field `PLD0_ITxT_6` writer - True input term. Bit position corresponds to product term."]
pub struct PLD0_ITXT_6_W<'a> {
    w: &'a mut W,
}
impl<'a> PLD0_ITXT_6_W<'a> {
    #[doc = r"Sets the field bit"]
    #[inline(always)]
    pub fn set_bit(self) -> &'a mut W {
        self.bit(true)
    }
    #[doc = r"Clears the field bit"]
    #[inline(always)]
    pub fn clear_bit(self) -> &'a mut W {
        self.bit(false)
    }
    #[doc = r"Writes raw bits to the field"]
    #[inline(always)]
    pub fn bit(self, value: bool) -> &'a mut W {
        self.w.bits = (self.w.bits & !(0x01 << 22)) | ((value as u32 & 0x01) << 22);
        self.w
    }
}
#[doc = "Field `PLD0_ITxT_7` reader - True input term. Bit position corresponds to product term."]
pub struct PLD0_ITXT_7_R(crate::FieldReader<bool, bool>);
impl PLD0_ITXT_7_R {
    pub(crate) fn new(bits: bool) -> Self {
        PLD0_ITXT_7_R(crate::FieldReader::new(bits))
    }
}
impl core::ops::Deref for PLD0_ITXT_7_R {
    type Target = crate::FieldReader<bool, bool>;
    #[inline(always)]
    fn deref(&self) -> &Self::Target {
        &self.0
    }
}
#[doc = "Field `PLD0_ITxT_7` writer - True input term. Bit position corresponds to product term."]
pub struct PLD0_ITXT_7_W<'a> {
    w: &'a mut W,
}
impl<'a> PLD0_ITXT_7_W<'a> {
    #[doc = r"Sets the field bit"]
    #[inline(always)]
    pub fn set_bit(self) -> &'a mut W {
        self.bit(true)
    }
    #[doc = r"Clears the field bit"]
    #[inline(always)]
    pub fn clear_bit(self) -> &'a mut W {
        self.bit(false)
    }
    #[doc = r"Writes raw bits to the field"]
    #[inline(always)]
    pub fn bit(self, value: bool) -> &'a mut W {
        self.w.bits = (self.w.bits & !(0x01 << 23)) | ((value as u32 & 0x01) << 23);
        self.w
    }
}
#[doc = "Field `PLD1_ITxT_0` reader - True input term. Bit position corresponds to product term."]
pub struct PLD1_ITXT_0_R(crate::FieldReader<bool, bool>);
impl PLD1_ITXT_0_R {
    pub(crate) fn new(bits: bool) -> Self {
        PLD1_ITXT_0_R(crate::FieldReader::new(bits))
    }
}
impl core::ops::Deref for PLD1_ITXT_0_R {
    type Target = crate::FieldReader<bool, bool>;
    #[inline(always)]
    fn deref(&self) -> &Self::Target {
        &self.0
    }
}
#[doc = "Field `PLD1_ITxT_0` writer - True input term. Bit position corresponds to product term."]
pub struct PLD1_ITXT_0_W<'a> {
    w: &'a mut W,
}
impl<'a> PLD1_ITXT_0_W<'a> {
    #[doc = r"Sets the field bit"]
    #[inline(always)]
    pub fn set_bit(self) -> &'a mut W {
        self.bit(true)
    }
    #[doc = r"Clears the field bit"]
    #[inline(always)]
    pub fn clear_bit(self) -> &'a mut W {
        self.bit(false)
    }
    #[doc = r"Writes raw bits to the field"]
    #[inline(always)]
    pub fn bit(self, value: bool) -> &'a mut W {
        self.w.bits = (self.w.bits & !(0x01 << 24)) | ((value as u32 & 0x01) << 24);
        self.w
    }
}
#[doc = "Field `PLD1_ITxT_1` reader - True input term. Bit position corresponds to product term."]
pub struct PLD1_ITXT_1_R(crate::FieldReader<bool, bool>);
impl PLD1_ITXT_1_R {
    pub(crate) fn new(bits: bool) -> Self {
        PLD1_ITXT_1_R(crate::FieldReader::new(bits))
    }
}
impl core::ops::Deref for PLD1_ITXT_1_R {
    type Target = crate::FieldReader<bool, bool>;
    #[inline(always)]
    fn deref(&self) -> &Self::Target {
        &self.0
    }
}
#[doc = "Field `PLD1_ITxT_1` writer - True input term. Bit position corresponds to product term."]
pub struct PLD1_ITXT_1_W<'a> {
    w: &'a mut W,
}
impl<'a> PLD1_ITXT_1_W<'a> {
    #[doc = r"Sets the field bit"]
    #[inline(always)]
    pub fn set_bit(self) -> &'a mut W {
        self.bit(true)
    }
    #[doc = r"Clears the field bit"]
    #[inline(always)]
    pub fn clear_bit(self) -> &'a mut W {
        self.bit(false)
    }
    #[doc = r"Writes raw bits to the field"]
    #[inline(always)]
    pub fn bit(self, value: bool) -> &'a mut W {
        self.w.bits = (self.w.bits & !(0x01 << 25)) | ((value as u32 & 0x01) << 25);
        self.w
    }
}
#[doc = "Field `PLD1_ITxT_2` reader - True input term. Bit position corresponds to product term."]
pub struct PLD1_ITXT_2_R(crate::FieldReader<bool, bool>);
impl PLD1_ITXT_2_R {
    pub(crate) fn new(bits: bool) -> Self {
        PLD1_ITXT_2_R(crate::FieldReader::new(bits))
    }
}
impl core::ops::Deref for PLD1_ITXT_2_R {
    type Target = crate::FieldReader<bool, bool>;
    #[inline(always)]
    fn deref(&self) -> &Self::Target {
        &self.0
    }
}
#[doc = "Field `PLD1_ITxT_2` writer - True input term. Bit position corresponds to product term."]
pub struct PLD1_ITXT_2_W<'a> {
    w: &'a mut W,
}
impl<'a> PLD1_ITXT_2_W<'a> {
    #[doc = r"Sets the field bit"]
    #[inline(always)]
    pub fn set_bit(self) -> &'a mut W {
        self.bit(true)
    }
    #[doc = r"Clears the field bit"]
    #[inline(always)]
    pub fn clear_bit(self) -> &'a mut W {
        self.bit(false)
    }
    #[doc = r"Writes raw bits to the field"]
    #[inline(always)]
    pub fn bit(self, value: bool) -> &'a mut W {
        self.w.bits = (self.w.bits & !(0x01 << 26)) | ((value as u32 & 0x01) << 26);
        self.w
    }
}
#[doc = "Field `PLD1_ITxT_3` reader - True input term. Bit position corresponds to product term."]
pub struct PLD1_ITXT_3_R(crate::FieldReader<bool, bool>);
impl PLD1_ITXT_3_R {
    pub(crate) fn new(bits: bool) -> Self {
        PLD1_ITXT_3_R(crate::FieldReader::new(bits))
    }
}
impl core::ops::Deref for PLD1_ITXT_3_R {
    type Target = crate::FieldReader<bool, bool>;
    #[inline(always)]
    fn deref(&self) -> &Self::Target {
        &self.0
    }
}
#[doc = "Field `PLD1_ITxT_3` writer - True input term. Bit position corresponds to product term."]
pub struct PLD1_ITXT_3_W<'a> {
    w: &'a mut W,
}
impl<'a> PLD1_ITXT_3_W<'a> {
    #[doc = r"Sets the field bit"]
    #[inline(always)]
    pub fn set_bit(self) -> &'a mut W {
        self.bit(true)
    }
    #[doc = r"Clears the field bit"]
    #[inline(always)]
    pub fn clear_bit(self) -> &'a mut W {
        self.bit(false)
    }
    #[doc = r"Writes raw bits to the field"]
    #[inline(always)]
    pub fn bit(self, value: bool) -> &'a mut W {
        self.w.bits = (self.w.bits & !(0x01 << 27)) | ((value as u32 & 0x01) << 27);
        self.w
    }
}
#[doc = "Field `PLD1_ITxT_4` reader - True input term. Bit position corresponds to product term."]
pub struct PLD1_ITXT_4_R(crate::FieldReader<bool, bool>);
impl PLD1_ITXT_4_R {
    pub(crate) fn new(bits: bool) -> Self {
        PLD1_ITXT_4_R(crate::FieldReader::new(bits))
    }
}
impl core::ops::Deref for PLD1_ITXT_4_R {
    type Target = crate::FieldReader<bool, bool>;
    #[inline(always)]
    fn deref(&self) -> &Self::Target {
        &self.0
    }
}
#[doc = "Field `PLD1_ITxT_4` writer - True input term. Bit position corresponds to product term."]
pub struct PLD1_ITXT_4_W<'a> {
    w: &'a mut W,
}
impl<'a> PLD1_ITXT_4_W<'a> {
    #[doc = r"Sets the field bit"]
    #[inline(always)]
    pub fn set_bit(self) -> &'a mut W {
        self.bit(true)
    }
    #[doc = r"Clears the field bit"]
    #[inline(always)]
    pub fn clear_bit(self) -> &'a mut W {
        self.bit(false)
    }
    #[doc = r"Writes raw bits to the field"]
    #[inline(always)]
    pub fn bit(self, value: bool) -> &'a mut W {
        self.w.bits = (self.w.bits & !(0x01 << 28)) | ((value as u32 & 0x01) << 28);
        self.w
    }
}
#[doc = "Field `PLD1_ITxT_5` reader - True input term. Bit position corresponds to product term."]
pub struct PLD1_ITXT_5_R(crate::FieldReader<bool, bool>);
impl PLD1_ITXT_5_R {
    pub(crate) fn new(bits: bool) -> Self {
        PLD1_ITXT_5_R(crate::FieldReader::new(bits))
    }
}
impl core::ops::Deref for PLD1_ITXT_5_R {
    type Target = crate::FieldReader<bool, bool>;
    #[inline(always)]
    fn deref(&self) -> &Self::Target {
        &self.0
    }
}
#[doc = "Field `PLD1_ITxT_5` writer - True input term. Bit position corresponds to product term."]
pub struct PLD1_ITXT_5_W<'a> {
    w: &'a mut W,
}
impl<'a> PLD1_ITXT_5_W<'a> {
    #[doc = r"Sets the field bit"]
    #[inline(always)]
    pub fn set_bit(self) -> &'a mut W {
        self.bit(true)
    }
    #[doc = r"Clears the field bit"]
    #[inline(always)]
    pub fn clear_bit(self) -> &'a mut W {
        self.bit(false)
    }
    #[doc = r"Writes raw bits to the field"]
    #[inline(always)]
    pub fn bit(self, value: bool) -> &'a mut W {
        self.w.bits = (self.w.bits & !(0x01 << 29)) | ((value as u32 & 0x01) << 29);
        self.w
    }
}
#[doc = "Field `PLD1_ITxT_6` reader - True input term. Bit position corresponds to product term."]
pub struct PLD1_ITXT_6_R(crate::FieldReader<bool, bool>);
impl PLD1_ITXT_6_R {
    pub(crate) fn new(bits: bool) -> Self {
        PLD1_ITXT_6_R(crate::FieldReader::new(bits))
    }
}
impl core::ops::Deref for PLD1_ITXT_6_R {
    type Target = crate::FieldReader<bool, bool>;
    #[inline(always)]
    fn deref(&self) -> &Self::Target {
        &self.0
    }
}
#[doc = "Field `PLD1_ITxT_6` writer - True input term. Bit position corresponds to product term."]
pub struct PLD1_ITXT_6_W<'a> {
    w: &'a mut W,
}
impl<'a> PLD1_ITXT_6_W<'a> {
    #[doc = r"Sets the field bit"]
    #[inline(always)]
    pub fn set_bit(self) -> &'a mut W {
        self.bit(true)
    }
    #[doc = r"Clears the field bit"]
    #[inline(always)]
    pub fn clear_bit(self) -> &'a mut W {
        self.bit(false)
    }
    #[doc = r"Writes raw bits to the field"]
    #[inline(always)]
    pub fn bit(self, value: bool) -> &'a mut W {
        self.w.bits = (self.w.bits & !(0x01 << 30)) | ((value as u32 & 0x01) << 30);
        self.w
    }
}
#[doc = "Field `PLD1_ITxT_7` reader - True input term. Bit position corresponds to product term."]
pub struct PLD1_ITXT_7_R(crate::FieldReader<bool, bool>);
impl PLD1_ITXT_7_R {
    pub(crate) fn new(bits: bool) -> Self {
        PLD1_ITXT_7_R(crate::FieldReader::new(bits))
    }
}
impl core::ops::Deref for PLD1_ITXT_7_R {
    type Target = crate::FieldReader<bool, bool>;
    #[inline(always)]
    fn deref(&self) -> &Self::Target {
        &self.0
    }
}
#[doc = "Field `PLD1_ITxT_7` writer - True input term. Bit position corresponds to product term."]
pub struct PLD1_ITXT_7_W<'a> {
    w: &'a mut W,
}
impl<'a> PLD1_ITXT_7_W<'a> {
    #[doc = r"Sets the field bit"]
    #[inline(always)]
    pub fn set_bit(self) -> &'a mut W {
        self.bit(true)
    }
    #[doc = r"Clears the field bit"]
    #[inline(always)]
    pub fn clear_bit(self) -> &'a mut W {
        self.bit(false)
    }
    #[doc = r"Writes raw bits to the field"]
    #[inline(always)]
    pub fn bit(self, value: bool) -> &'a mut W {
        self.w.bits = (self.w.bits & !(0x01 << 31)) | ((value as u32 & 0x01) << 31);
        self.w
    }
}
impl R {
    #[doc = "Bit 0 - Complement input term. Bit position corresponds to product term"]
    #[inline(always)]
    pub fn pld0_itx_c_0(&self) -> PLD0_ITXC_0_R {
        PLD0_ITXC_0_R::new((self.bits & 0x01) != 0)
    }
    #[doc = "Bit 1 - Complement input term. Bit position corresponds to product term"]
    #[inline(always)]
    pub fn pld0_itx_c_1(&self) -> PLD0_ITXC_1_R {
        PLD0_ITXC_1_R::new(((self.bits >> 1) & 0x01) != 0)
    }
    #[doc = "Bit 2 - Complement input term. Bit position corresponds to product term"]
    #[inline(always)]
    pub fn pld0_itx_c_2(&self) -> PLD0_ITXC_2_R {
        PLD0_ITXC_2_R::new(((self.bits >> 2) & 0x01) != 0)
    }
    #[doc = "Bit 3 - Complement input term. Bit position corresponds to product term"]
    #[inline(always)]
    pub fn pld0_itx_c_3(&self) -> PLD0_ITXC_3_R {
        PLD0_ITXC_3_R::new(((self.bits >> 3) & 0x01) != 0)
    }
    #[doc = "Bit 4 - Complement input term. Bit position corresponds to product term"]
    #[inline(always)]
    pub fn pld0_itx_c_4(&self) -> PLD0_ITXC_4_R {
        PLD0_ITXC_4_R::new(((self.bits >> 4) & 0x01) != 0)
    }
    #[doc = "Bit 5 - Complement input term. Bit position corresponds to product term"]
    #[inline(always)]
    pub fn pld0_itx_c_5(&self) -> PLD0_ITXC_5_R {
        PLD0_ITXC_5_R::new(((self.bits >> 5) & 0x01) != 0)
    }
    #[doc = "Bit 6 - Complement input term. Bit position corresponds to product term"]
    #[inline(always)]
    pub fn pld0_itx_c_6(&self) -> PLD0_ITXC_6_R {
        PLD0_ITXC_6_R::new(((self.bits >> 6) & 0x01) != 0)
    }
    #[doc = "Bit 7 - Complement input term. Bit position corresponds to product term"]
    #[inline(always)]
    pub fn pld0_itx_c_7(&self) -> PLD0_ITXC_7_R {
        PLD0_ITXC_7_R::new(((self.bits >> 7) & 0x01) != 0)
    }
    #[doc = "Bit 8 - Complement input term. Bit position corresponds to product term"]
    #[inline(always)]
    pub fn pld1_itx_c_0(&self) -> PLD1_ITXC_0_R {
        PLD1_ITXC_0_R::new(((self.bits >> 8) & 0x01) != 0)
    }
    #[doc = "Bit 9 - Complement input term. Bit position corresponds to product term"]
    #[inline(always)]
    pub fn pld1_itx_c_1(&self) -> PLD1_ITXC_1_R {
        PLD1_ITXC_1_R::new(((self.bits >> 9) & 0x01) != 0)
    }
    #[doc = "Bit 10 - Complement input term. Bit position corresponds to product term"]
    #[inline(always)]
    pub fn pld1_itx_c_2(&self) -> PLD1_ITXC_2_R {
        PLD1_ITXC_2_R::new(((self.bits >> 10) & 0x01) != 0)
    }
    #[doc = "Bit 11 - Complement input term. Bit position corresponds to product term"]
    #[inline(always)]
    pub fn pld1_itx_c_3(&self) -> PLD1_ITXC_3_R {
        PLD1_ITXC_3_R::new(((self.bits >> 11) & 0x01) != 0)
    }
    #[doc = "Bit 12 - Complement input term. Bit position corresponds to product term"]
    #[inline(always)]
    pub fn pld1_itx_c_4(&self) -> PLD1_ITXC_4_R {
        PLD1_ITXC_4_R::new(((self.bits >> 12) & 0x01) != 0)
    }
    #[doc = "Bit 13 - Complement input term. Bit position corresponds to product term"]
    #[inline(always)]
    pub fn pld1_itx_c_5(&self) -> PLD1_ITXC_5_R {
        PLD1_ITXC_5_R::new(((self.bits >> 13) & 0x01) != 0)
    }
    #[doc = "Bit 14 - Complement input term. Bit position corresponds to product term"]
    #[inline(always)]
    pub fn pld1_itx_c_6(&self) -> PLD1_ITXC_6_R {
        PLD1_ITXC_6_R::new(((self.bits >> 14) & 0x01) != 0)
    }
    #[doc = "Bit 15 - Complement input term. Bit position corresponds to product term"]
    #[inline(always)]
    pub fn pld1_itx_c_7(&self) -> PLD1_ITXC_7_R {
        PLD1_ITXC_7_R::new(((self.bits >> 15) & 0x01) != 0)
    }
    #[doc = "Bit 16 - True input term. Bit position corresponds to product term."]
    #[inline(always)]
    pub fn pld0_itx_t_0(&self) -> PLD0_ITXT_0_R {
        PLD0_ITXT_0_R::new(((self.bits >> 16) & 0x01) != 0)
    }
    #[doc = "Bit 17 - True input term. Bit position corresponds to product term."]
    #[inline(always)]
    pub fn pld0_itx_t_1(&self) -> PLD0_ITXT_1_R {
        PLD0_ITXT_1_R::new(((self.bits >> 17) & 0x01) != 0)
    }
    #[doc = "Bit 18 - True input term. Bit position corresponds to product term."]
    #[inline(always)]
    pub fn pld0_itx_t_2(&self) -> PLD0_ITXT_2_R {
        PLD0_ITXT_2_R::new(((self.bits >> 18) & 0x01) != 0)
    }
    #[doc = "Bit 19 - True input term. Bit position corresponds to product term."]
    #[inline(always)]
    pub fn pld0_itx_t_3(&self) -> PLD0_ITXT_3_R {
        PLD0_ITXT_3_R::new(((self.bits >> 19) & 0x01) != 0)
    }
    #[doc = "Bit 20 - True input term. Bit position corresponds to product term."]
    #[inline(always)]
    pub fn pld0_itx_t_4(&self) -> PLD0_ITXT_4_R {
        PLD0_ITXT_4_R::new(((self.bits >> 20) & 0x01) != 0)
    }
    #[doc = "Bit 21 - True input term. Bit position corresponds to product term."]
    #[inline(always)]
    pub fn pld0_itx_t_5(&self) -> PLD0_ITXT_5_R {
        PLD0_ITXT_5_R::new(((self.bits >> 21) & 0x01) != 0)
    }
    #[doc = "Bit 22 - True input term. Bit position corresponds to product term."]
    #[inline(always)]
    pub fn pld0_itx_t_6(&self) -> PLD0_ITXT_6_R {
        PLD0_ITXT_6_R::new(((self.bits >> 22) & 0x01) != 0)
    }
    #[doc = "Bit 23 - True input term. Bit position corresponds to product term."]
    #[inline(always)]
    pub fn pld0_itx_t_7(&self) -> PLD0_ITXT_7_R {
        PLD0_ITXT_7_R::new(((self.bits >> 23) & 0x01) != 0)
    }
    #[doc = "Bit 24 - True input term. Bit position corresponds to product term."]
    #[inline(always)]
    pub fn pld1_itx_t_0(&self) -> PLD1_ITXT_0_R {
        PLD1_ITXT_0_R::new(((self.bits >> 24) & 0x01) != 0)
    }
    #[doc = "Bit 25 - True input term. Bit position corresponds to product term."]
    #[inline(always)]
    pub fn pld1_itx_t_1(&self) -> PLD1_ITXT_1_R {
        PLD1_ITXT_1_R::new(((self.bits >> 25) & 0x01) != 0)
    }
    #[doc = "Bit 26 - True input term. Bit position corresponds to product term."]
    #[inline(always)]
    pub fn pld1_itx_t_2(&self) -> PLD1_ITXT_2_R {
        PLD1_ITXT_2_R::new(((self.bits >> 26) & 0x01) != 0)
    }
    #[doc = "Bit 27 - True input term. Bit position corresponds to product term."]
    #[inline(always)]
    pub fn pld1_itx_t_3(&self) -> PLD1_ITXT_3_R {
        PLD1_ITXT_3_R::new(((self.bits >> 27) & 0x01) != 0)
    }
    #[doc = "Bit 28 - True input term. Bit position corresponds to product term."]
    #[inline(always)]
    pub fn pld1_itx_t_4(&self) -> PLD1_ITXT_4_R {
        PLD1_ITXT_4_R::new(((self.bits >> 28) & 0x01) != 0)
    }
    #[doc = "Bit 29 - True input term. Bit position corresponds to product term."]
    #[inline(always)]
    pub fn pld1_itx_t_5(&self) -> PLD1_ITXT_5_R {
        PLD1_ITXT_5_R::new(((self.bits >> 29) & 0x01) != 0)
    }
    #[doc = "Bit 30 - True input term. Bit position corresponds to product term."]
    #[inline(always)]
    pub fn pld1_itx_t_6(&self) -> PLD1_ITXT_6_R {
        PLD1_ITXT_6_R::new(((self.bits >> 30) & 0x01) != 0)
    }
    #[doc = "Bit 31 - True input term. Bit position corresponds to product term."]
    #[inline(always)]
    pub fn pld1_itx_t_7(&self) -> PLD1_ITXT_7_R {
        PLD1_ITXT_7_R::new(((self.bits >> 31) & 0x01) != 0)
    }
}
impl W {
    #[doc = "Bit 0 - Complement input term. Bit position corresponds to product term"]
    #[inline(always)]
    pub fn pld0_itx_c_0(&mut self) -> PLD0_ITXC_0_W {
        PLD0_ITXC_0_W { w: self }
    }
    #[doc = "Bit 1 - Complement input term. Bit position corresponds to product term"]
    #[inline(always)]
    pub fn pld0_itx_c_1(&mut self) -> PLD0_ITXC_1_W {
        PLD0_ITXC_1_W { w: self }
    }
    #[doc = "Bit 2 - Complement input term. Bit position corresponds to product term"]
    #[inline(always)]
    pub fn pld0_itx_c_2(&mut self) -> PLD0_ITXC_2_W {
        PLD0_ITXC_2_W { w: self }
    }
    #[doc = "Bit 3 - Complement input term. Bit position corresponds to product term"]
    #[inline(always)]
    pub fn pld0_itx_c_3(&mut self) -> PLD0_ITXC_3_W {
        PLD0_ITXC_3_W { w: self }
    }
    #[doc = "Bit 4 - Complement input term. Bit position corresponds to product term"]
    #[inline(always)]
    pub fn pld0_itx_c_4(&mut self) -> PLD0_ITXC_4_W {
        PLD0_ITXC_4_W { w: self }
    }
    #[doc = "Bit 5 - Complement input term. Bit position corresponds to product term"]
    #[inline(always)]
    pub fn pld0_itx_c_5(&mut self) -> PLD0_ITXC_5_W {
        PLD0_ITXC_5_W { w: self }
    }
    #[doc = "Bit 6 - Complement input term. Bit position corresponds to product term"]
    #[inline(always)]
    pub fn pld0_itx_c_6(&mut self) -> PLD0_ITXC_6_W {
        PLD0_ITXC_6_W { w: self }
    }
    #[doc = "Bit 7 - Complement input term. Bit position corresponds to product term"]
    #[inline(always)]
    pub fn pld0_itx_c_7(&mut self) -> PLD0_ITXC_7_W {
        PLD0_ITXC_7_W { w: self }
    }
    #[doc = "Bit 8 - Complement input term. Bit position corresponds to product term"]
    #[inline(always)]
    pub fn pld1_itx_c_0(&mut self) -> PLD1_ITXC_0_W {
        PLD1_ITXC_0_W { w: self }
    }
    #[doc = "Bit 9 - Complement input term. Bit position corresponds to product term"]
    #[inline(always)]
    pub fn pld1_itx_c_1(&mut self) -> PLD1_ITXC_1_W {
        PLD1_ITXC_1_W { w: self }
    }
    #[doc = "Bit 10 - Complement input term. Bit position corresponds to product term"]
    #[inline(always)]
    pub fn pld1_itx_c_2(&mut self) -> PLD1_ITXC_2_W {
        PLD1_ITXC_2_W { w: self }
    }
    #[doc = "Bit 11 - Complement input term. Bit position corresponds to product term"]
    #[inline(always)]
    pub fn pld1_itx_c_3(&mut self) -> PLD1_ITXC_3_W {
        PLD1_ITXC_3_W { w: self }
    }
    #[doc = "Bit 12 - Complement input term. Bit position corresponds to product term"]
    #[inline(always)]
    pub fn pld1_itx_c_4(&mut self) -> PLD1_ITXC_4_W {
        PLD1_ITXC_4_W { w: self }
    }
    #[doc = "Bit 13 - Complement input term. Bit position corresponds to product term"]
    #[inline(always)]
    pub fn pld1_itx_c_5(&mut self) -> PLD1_ITXC_5_W {
        PLD1_ITXC_5_W { w: self }
    }
    #[doc = "Bit 14 - Complement input term. Bit position corresponds to product term"]
    #[inline(always)]
    pub fn pld1_itx_c_6(&mut self) -> PLD1_ITXC_6_W {
        PLD1_ITXC_6_W { w: self }
    }
    #[doc = "Bit 15 - Complement input term. Bit position corresponds to product term"]
    #[inline(always)]
    pub fn pld1_itx_c_7(&mut self) -> PLD1_ITXC_7_W {
        PLD1_ITXC_7_W { w: self }
    }
    #[doc = "Bit 16 - True input term. Bit position corresponds to product term."]
    #[inline(always)]
    pub fn pld0_itx_t_0(&mut self) -> PLD0_ITXT_0_W {
        PLD0_ITXT_0_W { w: self }
    }
    #[doc = "Bit 17 - True input term. Bit position corresponds to product term."]
    #[inline(always)]
    pub fn pld0_itx_t_1(&mut self) -> PLD0_ITXT_1_W {
        PLD0_ITXT_1_W { w: self }
    }
    #[doc = "Bit 18 - True input term. Bit position corresponds to product term."]
    #[inline(always)]
    pub fn pld0_itx_t_2(&mut self) -> PLD0_ITXT_2_W {
        PLD0_ITXT_2_W { w: self }
    }
    #[doc = "Bit 19 - True input term. Bit position corresponds to product term."]
    #[inline(always)]
    pub fn pld0_itx_t_3(&mut self) -> PLD0_ITXT_3_W {
        PLD0_ITXT_3_W { w: self }
    }
    #[doc = "Bit 20 - True input term. Bit position corresponds to product term."]
    #[inline(always)]
    pub fn pld0_itx_t_4(&mut self) -> PLD0_ITXT_4_W {
        PLD0_ITXT_4_W { w: self }
    }
    #[doc = "Bit 21 - True input term. Bit position corresponds to product term."]
    #[inline(always)]
    pub fn pld0_itx_t_5(&mut self) -> PLD0_ITXT_5_W {
        PLD0_ITXT_5_W { w: self }
    }
    #[doc = "Bit 22 - True input term. Bit position corresponds to product term."]
    #[inline(always)]
    pub fn pld0_itx_t_6(&mut self) -> PLD0_ITXT_6_W {
        PLD0_ITXT_6_W { w: self }
    }
    #[doc = "Bit 23 - True input term. Bit position corresponds to product term."]
    #[inline(always)]
    pub fn pld0_itx_t_7(&mut self) -> PLD0_ITXT_7_W {
        PLD0_ITXT_7_W { w: self }
    }
    #[doc = "Bit 24 - True input term. Bit position corresponds to product term."]
    #[inline(always)]
    pub fn pld1_itx_t_0(&mut self) -> PLD1_ITXT_0_W {
        PLD1_ITXT_0_W { w: self }
    }
    #[doc = "Bit 25 - True input term. Bit position corresponds to product term."]
    #[inline(always)]
    pub fn pld1_itx_t_1(&mut self) -> PLD1_ITXT_1_W {
        PLD1_ITXT_1_W { w: self }
    }
    #[doc = "Bit 26 - True input term. Bit position corresponds to product term."]
    #[inline(always)]
    pub fn pld1_itx_t_2(&mut self) -> PLD1_ITXT_2_W {
        PLD1_ITXT_2_W { w: self }
    }
    #[doc = "Bit 27 - True input term. Bit position corresponds to product term."]
    #[inline(always)]
    pub fn pld1_itx_t_3(&mut self) -> PLD1_ITXT_3_W {
        PLD1_ITXT_3_W { w: self }
    }
    #[doc = "Bit 28 - True input term. Bit position corresponds to product term."]
    #[inline(always)]
    pub fn pld1_itx_t_4(&mut self) -> PLD1_ITXT_4_W {
        PLD1_ITXT_4_W { w: self }
    }
    #[doc = "Bit 29 - True input term. Bit position corresponds to product term."]
    #[inline(always)]
    pub fn pld1_itx_t_5(&mut self) -> PLD1_ITXT_5_W {
        PLD1_ITXT_5_W { w: self }
    }
    #[doc = "Bit 30 - True input term. Bit position corresponds to product term."]
    #[inline(always)]
    pub fn pld1_itx_t_6(&mut self) -> PLD1_ITXT_6_W {
        PLD1_ITXT_6_W { w: self }
    }
    #[doc = "Bit 31 - True input term. Bit position corresponds to product term."]
    #[inline(always)]
    pub fn pld1_itx_t_7(&mut self) -> PLD1_ITXT_7_W {
        PLD1_ITXT_7_W { w: self }
    }
    #[doc = "Writes raw bits to the register."]
    pub unsafe fn bits(&mut self, bits: u32) -> &mut Self {
        self.0.bits(bits);
        self
    }
}
#[doc = "PLD Input Terms\n\nThis register you can [`read`](crate::generic::Reg::read), [`write_with_zero`](crate::generic::Reg::write_with_zero), [`reset`](crate::generic::Reg::reset), [`write`](crate::generic::Reg::write), [`modify`](crate::generic::Reg::modify). See [API](https://docs.rs/svd2rust/#read--modify--write-api).\n\nFor information about available fields see [pld_it1](index.html) module"]
pub struct PLD_IT1_SPEC;
impl crate::RegisterSpec for PLD_IT1_SPEC {
    type Ux = u32;
}
#[doc = "`read()` method returns [pld_it1::R](R) reader structure"]
impl crate::Readable for PLD_IT1_SPEC {
    type Reader = R;
}
#[doc = "`write(|w| ..)` method takes [pld_it1::W](W) writer structure"]
impl crate::Writable for PLD_IT1_SPEC {
    type Writer = W;
}
#[doc = "`reset()` method sets PLD_IT1 to value 0"]
impl crate::Resettable for PLD_IT1_SPEC {
    #[inline(always)]
    fn reset_value() -> Self::Ux {
        0
    }
}
